X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Will Firefox 11 work on Windows XP service pack 2 ?

Posted

I can't upgrade to service pack 3 due to compatibility issues with a work application, so I want to know if Firefox 11 works on Windows XP service pack 2.

I seem to be unable to download any other version (that is, 3.6.18 or 4).'

Additional System Details

This happened

Not sure how often

This started when...

I tried to downloadf 3.6.18

Installed Plug-ins

  • getplusplusadobe16263
  • Image Control Plugin for viewing images on Ancestry.com. Version 1.0.0.1
  • Default Plug-in
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • ScorchPlugin
  • DjVu Plug-In(external version 6.1.4.2013)
  • getpluscorel15048
  • Adobe PDF Plug-In For Firefox and Netscape
  • Express View Browser Plugin
  • Adobe Shockwave for Director Netscape plug-in, version 10.2
  • np-mswmp
  • Shockwave Flash 11.0 r1
  • GEPlugin
  • Google Updater pluginhttp://pack.google.com/
  • RealJukebox Netscape Plugin
  • RealPlayer(tm) LiveConnect-Enabled Plug-In
  • 6.0.12.69
  • Google Update
  • Java Plug-in 1.6.0_02 for Netscape Navigator (DLL Helper)
  • Npdsplay dll
  • DRM Netscape Network Object
  • DRM Store Netscape Plugin

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.1.19) Gecko/20110420 Firefox/3.5.19

More Information

PC with AMD Athlone 64 X 2 4200+

Tyler Downer
  • Administrator
  • Moderator
1164 solutions 6634 answers

Helpful Reply

Yes, Firefox 11 will work with Service pack 2. Firefox 13 won't work with Service Pack 1 or under, but with SP2 you can continue running Firefox for the forseable future.

But, it is recommended that you upgrade Windows as soon as possible to ensure you don't have stability or security issues. As well, Microsoft does not support only SP2 anymore.

cor-el
  • Top 10 Contributor
  • Moderator
10740 solutions 96657 answers

Helpful Reply

Also update your plugins because some of them are very old.

  1. Shockwave Flash 11.0 r1
  2. Java Plug-in 1.6.0_02 for Netscape Navigator (DLL Helper)

Question owner

Tylerdowner, Thanks very much,

Question owner

cor-el, I'm sure you're right.

Unfortunately, Adobe will let me download only the latest Flash version and that's not compatible with SP2.

I don't know how to update Java.

Tyler Downer
  • Administrator
  • Moderator
1164 solutions 6634 answers

If you install your current Java from the control panel, then go o www.java.com, you can update it from there.

muffiemae 0 solutions 2 answers

Silly me - I didn't want to upgrade to version 4, and then I discovered there is a version 11! I upgraded to 11 and my favorite add-ons work with it - Read it Later and Key Scrambler - but 11 doesn't give me the option of returning to my open tabs when I close it down. Very annoying.

cor-el
  • Top 10 Contributor
  • Moderator
10740 solutions 96657 answers

Firefox 4 and later versions save the previous session automatically, so there is no longer need for the dialog asking if you want to save the current session.
Use "File > Exit" or "Firefox > Exit" (Mac: "Firefox > Quit Firefox") if you want to restore multiple windows or otherwise have problems with restoring tabs.
You can use "History > Restore Previous Session" to get the previous session at any time.
Click the orange/gray Firefox button to see the History item if the menu bar is hidden.
There is also a "Restore Previous Session" button on the default about:home Home page.

Using the "Show my windows and tabs from last time" setting is a more reliable way to restore session data.

  • Tools > Options > General > Startup: "When Firefox Starts": "Show my windows and tabs from last time"